SDL_SetGamepadMapping(3)

NAME
SDL_SetGamepadMapping - Set the current mapping of a joystick or gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

bool SDL_SetGamepadMapping(SDL_JoystickID instance_id, const char *mapping);

DESCRIPTION
Details about mappings are discussed with SDL_AddGamepadMapping().

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

mapping
    the mapping to use for this device, or NULL to clear the mapping.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_AddGamepadMapping(3), SDL_GetGamepadMapping(3)